Bug 454242 - Applications can't access SMB shares
Applications can't access SMB shares
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-07 03:18 EDT by Oded Arbel
Modified: 2015-03-03 17:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-12 09:36:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2008-07-07 03:18:32 EDT
Description of problem:
Starting with Fedora 9, applications can't access SMB shares either directly
(applications open dialog), when launching from nautilus or drag-and-drop from
nautilus.

When trying to get applications to use SMB shares I get various error messages.
For example, when I am using a GNOME application's file dialog to browse to an
SMB share and open a file, browsing works well but I get an error "file not
found" when choosing a file and pressing the "Open" button.

Version-Release number of selected component (if applicable):
0.2.3-11.fc9

How reproducible:
Always

Steps to Reproduce:
1. Use nautilus to browse to an SMB share
2. Right click an image in the SMB share and choose "open with image viewer"

1. Use nautilus to browse to an SMB share
2. drag a file in to an Evolution mail composer window

1. Start Archive Manager and click File->Open
2. Browse to an SMB share and open a ZIP file on that share

Actual results:
Error messages

Expected results:
Applications should access the files normally

Additional info:
A few applications behave well, for example Document Viewer (evince) works quite
well either by launching from nautilus, drag-and-drop or using the open file dialog.

Currently the most problematic for me is Evolution and OpenOffice.org support as
in my work I constantly need to write/edit documents on SMB shares and attach
them to emails. Currently I have to workaround this by copying files to my
desktop before editing/attaching.

I have gvfs-fuse installed.
Comment 1 Tomáš Bžatek 2008-07-07 10:22:07 EDT
Ports of eog, file-roller and Evolution to GIO should be finished:
http://live.gnome.org/GioPort

Are you sure this applies to SMB shares only? I.e. other subsystems handled by
gvfs are working fine with the applications mentioned? The system is designed to
use session-wide mounts, which are exposed to all applications equally.

Openoffice GIO support is separate issue, not sure if it's available in final F9
release (might be included in later updates).

Comment 2 Oded Arbel 2008-07-07 17:02:47 EDT
I haven't tried all supported protocols, but everything I tried works with
ssh:// just fine.

I'm not sure in which version the applications you mentioned were ported, but
its not in F9. OOo in F9 doesn't support smb:// urls either.

Which sounds like a really bad regression to me either way - in Fedora 8 OOo
handled SMB urls by itself- it prompted for a user name and password and
apparently did the SMB access on its own. Now it doesn't do that anymore - it
only complains at best (or silently fails to load the document at worst).

On a different note altogether - isn't gvfs-fuse supposed to solve this? when
nautilus launches applications that may or may not have GIO support, shouldn't
it just hand them the gvfs-fuse paths instead, or is the assumption that all the
applications in the world will eventually be ported to GIO (or komparable
implementations)?
Comment 3 Oded Arbel 2008-07-07 17:32:49 EDT
My apologies, but I need to make a small correction - Evolution doesn't work
with ssh:// (or sftp://) mounts contrary to my previous comment. The "attach"
and "save" dialogs browse mounts just fine, but you can't actually load or save
a file from an ssh mount. 

Other applications such as evince, eog, gedit, gimp and even OpenOffice.org work
just fine with ssh:// mounts (OpenOffice does ask for its own password though). 

Comment 4 Tomáš Bžatek 2008-07-09 07:19:51 EDT
Looks like OOo has been already ported but apparently is not working.

The purpose of gvfs-fuse is to allow applications not using GIO to access
session mounts; for most gnome applications we pass full URI instead - that's
distinguished by the .desktop files.
Comment 5 Tomáš Bžatek 2008-07-09 11:57:57 EDT
I've checked status of applications like Evolution and GEdit in F9 and they're
not ported yet. Not sure about the other applications. The link I gave you
reflects current status of the ports, i.e. unstable Gnome 2.23 release.

The reason you can open ssh/sftp files but not smb is that gnome-vfs2 can handle
sftp URIs without bigger problems but not smb as we don't pass login name etc.
Comment 6 Bill Peck 2008-09-08 13:19:51 EDT
$ rpm -q firefox
firefox-3.0.1-1.fc9.i386
$ rpm -q gvfs
gvfs-0.2.5-1.fc9.i386


Firefox also does not understand smb shares.  The thing I find strange is I click browse on the web browser web page and it pops up the gnome file dialog.  It shows my samba share as a possible choice on the left and I am able to select the photo I want to upload from the share.  After I click open the file input box is still empty and I get no error message.
Comment 7 Bug Zapper 2009-06-09 21:57:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Oded Arbel 2009-06-10 04:50:38 EDT
This problem is also evident in Fedora 11
Comment 9 Tomáš Bžatek 2009-06-11 08:21:18 EDT
(In reply to comment #8)
> This problem is also evident in Fedora 11  
Which applications please? I think we should treat each case individually.
Comment 10 Oded Arbel 2009-06-11 08:30:35 EDT
All the applications listed in the bug's description are indeed now supported, but Firefox (as noted in comment #6) still does not recognize remote mounts, even though it uses the GNOME file dialog.
Comment 11 Tomáš Bžatek 2009-06-11 08:49:50 EDT
When an application uses gnome file dialog, it doesn't automatically mean that it knows GIO. Filechooser only returns an URI and the application must treat it itself.

Just talked to our Firefox maintainer and was told the GIO port is still in development and certainly not in F11. Openoffice was another special case and while developers are working hard to make it work flawlessly, there are still smaller issues. Better to file separate bugs on these applications.

Any other occurence?
Comment 12 Theophanis Kontogiannis 2009-08-12 09:08:58 EDT
Hello,

Is this post of mine related to this problem here?

Thank you
Comment 14 Tomáš Bžatek 2009-08-12 09:36:50 EDT
(In reply to comment #12)
> Hello,
> 
> Is this post of mine related to this problem here?
> 
> Thank you  
Please open a separate bugreport to track this issue and post all relevant information there (as you did on the board linked).

I'm going to close this bug as it only tracked application ports to GIO. Please open separate bugreports if any issue appears again.

Note You need to log in before you can comment on or make changes to this bug.